## ircd-ratbox 3.0.6.dfsg

=== debian/changelog ===
ircd-ratbox (3.0.6.dfsg-2) unstable; urgency=high

  * Added 'gnutls_tryconn_double_cb_call' patch to fix password
    disclosure when s2s link fails.
  * Added missing build-dependency: pkg-config.
  * Corrected init.d LSB problems:
    + init.d-script-missing-dependency-on-remote_fs
    + missing $time (to avoid TS protocol disturbance)
  * Took over the maintenance with nohar's blessing.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 06 Dec 2010 02:10:10 +0100

ircd-ratbox (3.0.6.dfsg-1) unstable; urgency=high

  * New upstream release (closes: #567191, security bug).
  * Clarify why this package has been modified to be DFSG-compliant in
    'debian/copyright'.
  * Increased Standards-Version to 3.8.4.0 (no changes).
  * Switched to dpkg-source 3.0 (quilt) format (and removed quilt calls
    and build dependencies).
  * Updated 'relibtoolization' patch.
  * Updated 'debian/clean'...

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 29 Jan 2010 02:08:21 +0100

ircd-ratbox (3.0.4.dfsg~svn26645-0+dc1) UNRELEASED; urgency=low

  * New upstream testing release.
  * Added myself to Uploaders (with Nohar's blessing).
  * Removed obsolete '--enable-sslonly-channels' configure option (it is
    automatically compiled in when SSL is enabled).
  * Corrected Section for ircd-ratbox-dbg (devel->debug).
  * Bumped Standards-Version to 3.8.3.0 (no changes).
  * Switched to compat level 7 and added missing misc:Depends for 'ircd-
    ratbox-dbg' package.
  * Updated 'debian/clean'...

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 15 Sep 2009 02:45:56 +0200

ircd-ratbox (3.0.0.dfsg~svn26003-0+dc1) UNRELEASED; urgency=low

  * New upstream development snapshot.
  * Removed obsolete 'rename-tools' patch.
  * Activate SSL support with GnuTLS.
  * Switched to debhelper compat level 7 (moved cleanup stuff in
    'debian/clean').
  * Added build-depends on 'autotools-dev' to have config.guess and
    config.sub automatically replaced at build time by CDBS.
  * Added patches:
    - contrib_modules_install_path: reintroduce DESTDIR in contrib
      modules builsys
    - contrib_top_distclean: support contrib modules distclean from
      top Makefile
    - use_system_libltdl: use packaged libltdl3
    - relibtoolization: regenerate buildsys
  * Fixed watch file (version mangling).
  * Increased Standards-Version (no changes needed).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 05 Sep 2008 05:01:17 +0200

ircd-ratbox (2.2.8.dfsg-2) unstable; urgency=low

  * Fix a bashism and non posix use of kill in initscript (Closes:
    #464991).

 -- Arnaud Cornet <acornet@debian.org>  Sun, 10 Feb 2008 12:30:17 +0100

ircd-ratbox (2.2.8.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add Provides: ircd (Closes: #458431).
  * Small factorisation of debian/ircd-ratbox.install.

 -- Arnaud Cornet <acornet@debian.org>  Sat, 12 Jan 2008 13:12:24 +0100

ircd-ratbox (2.2.6.dfsg-2) unstable; urgency=low

  * Add a homepage tag.
  * Fix typo in short description (Closes: #453808).
  * Fix default path for servlink utility to servlink-ratbox (rename-
    tools.patch).
  * Update Standards-Version to 3.7.3 (no change needed).
  * Set ircd-ratbox-dbg priority to extra.
  * Fix example ircd.conf to point to correct servlink-ratbox. Uncomment in
    default config file.

 -- Arnaud Cornet <acornet@debian.org>  Tue, 18 Dec 2007 23:49:11 +0100

ircd-ratbox (2.2.6.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #439050).
  * Remove rfc1459.txt.

 -- Arnaud Cornet <acornet@debian.org>  Mon, 20 Aug 2007 21:40:57 +0200
