=== debian/control ===
Source: ircd-ratbox
Section: net
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Standards-Version: 3.8.4.0
Build-Depends: cdbs, debhelper (>= 7.0.0), zlib1g-dev, bison, flex, libgnutls-dev, libsqlite3-dev, libltdl3-dev, autotools-dev, pkg-config
Build-Conflicts: libssl-dev
Homepage: http://www.ircd-ratbox.org/

Package: ircd-ratbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ircd
Description: advanced, stable and fast ircd
 ircd-ratbox is a full featured ircd.  It is the primary ircd used on EFNet,
 combining the stability of an ircd required for a large production network
 together with a rich set of features making it suitable for use on smaller
 networks.
 .
 ircd-ratbox also has a twin services package with compatibility code in
 ircd-ratbox allowing for enhanced features and better support for networks
 with channel registration. 

Package: ircd-ratbox-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, ircd-ratbox (= ${binary:Version})
Description: debugging symbols for ircd-ratbox
 ircd-ratbox is a full featured ircd.  It is the primary ircd used on EFNet,
 combining the stability of an ircd required for a large production network
 together with a rich set of features making it suitable for use on smaller
 networks.
 .
 ircd-ratbox also has a twin services package with compatibility code in
 ircd-ratbox allowing for enhanced features and better support for networks
 with channel registration. 
 .
 This package contains the debugging symbols to debug ircd-ratbox.
