=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-ipv6 --enable-services \
	--prefix=/usr \
	--with-confdir=/etc/ircd-ratbox \
	--with-logdir=/var/log/ircd-ratbox \
	--with-helpdir=/usr/share/ircd-ratbox/help  \
	--with-moduledir=/usr/lib/ircd-ratbox
DEB_MAKE_CLEAN_TARGET := distclean

DEB_DH_INSTALLINIT_ARGS := --no-restart-on-upgrade

LDFLAGS += -Wl,-export-dynamic

common-build-arch::
	make contrib

common-install-prehook-impl::
	mkdir -p debian/tmp/etc/ircd-ratbox

install/ircd-ratbox::
	for i in debian/tmp/usr/bin/* ; do mv "$$i" "$$i"-ratbox ; done
	mv debian/tmp/usr/bin/ratbox-mkpasswd-ratbox debian/tmp/usr/bin/mkpasswd-ratbox
	make install_contrib DESTDIR=$(CURDIR)/debian/tmp
	# must be done before global distclean or global makefile will lack
	make distclean_contrib

binary-fixup/ircd-ratbox::
	chown irc:irc debian/ircd-ratbox/var/log/ircd-ratbox
	chown -R irc:irc debian/ircd-ratbox/etc/ircd-ratbox
