## ircd-ratbox 3.0.7.dfsg

=== debian/changelog ===
ircd-ratbox (3.0.7.dfsg-3) unstable; urgency=high

  * Applied security fix for CVE-2012-6084 using r27411 in upstream SVN
    (Closes: #697093).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 03 Jan 2013 14:12:05 +0100

ircd-ratbox (3.0.7.dfsg-2) unstable; urgency=low

  * Enable hardened build flags through dpkg-buildflags (Closes:
    #664903).
  * Increased Standards-Version to 3.9.3.0 (no changes).
  * Don't use embedded SQLite library to avoid security issues.
  * Switched to DH and compat level 9.
  * Install to multiarch path but do not enable it (currently
    the library is only used internally).
  * Uses dh-autoreconf instead of a static patch.
  * Build with --as-needed linker flag to avoid unnecessary linking.
  * Reformated copyright file to final 1.0 machine-readable format.
  * Fixed copyright information for 'libratbox/src/patricia.c' according
    to Net::Patricia from which it was borrowed.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 11 Apr 2012 14:20:32 +0200

ircd-ratbox (3.0.7.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Removed patch 'gnutls_tryconn_double_cb_call' included upstream.
  * Updated patches:
     - use_system_libltdl
     - contrib_top_distclean.
     - relibtoolization
  * Created manpages for 'ircd-ratbox' and 'bantool-ratbox' commands.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 07 Nov 2011 23:47:27 +0100

ircd-ratbox (3.0.6.dfsg-4) unstable; urgency=low

  * Corrected previous changelog entry (closed bug).
  * Use libltdl-dev Build-Depends instead of libltdl3-dev.
  * Ensured using system libltdl instead of shipped copy (Closes:
    #647232).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 02 Nov 2011 20:08:05 +0100

ircd-ratbox (3.0.6.dfsg-3) unstable; urgency=low

  * Added VCS information.
  * Updated URLs in Homepage, copyright, and watch file.
  * Suggests a time daemon.
  * Converted copyright file to DEP5 and updated content.
  * Added missing 'modules/Makefile' in 'debian/clean'.
  * Fix attribute declarations to work around gcc format-security false
    positive.
  * Corrected LSB headers:
    + syslog is not needed
    + remote_fs and network are not optional
  * Tell dh_shlibdeps to ignore plugin directories.
  * Increased Standards-Version to 3.9.2.0 (no changes).
  * Ensured ldconfig is called.
  * Added lintian overrides for false positives.
  * Added patch for format-security problem (Closes: #643410).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 29 Oct 2011 21:55:16 +0200
