=== debian/control ===
--- 
+++ 
@@ -2,15 +2,21 @@
 Section: net
 Priority: optional
 Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Standards-Version: 3.8.4.0
-Build-Depends: cdbs, debhelper (>= 7.0.0), zlib1g-dev, bison, flex, libgnutls-dev, libsqlite3-dev, libltdl3-dev, autotools-dev, pkg-config
+Standards-Version: 3.9.3.0
+Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper (>= 9), dh-autoreconf,
+ zlib1g-dev, bison, flex, libgnutls-dev, libsqlite3-dev, libltdl-dev,
+ autotools-dev, pkg-config, xsltproc, docbook5-xml, docbook-xsl-ns
 Build-Conflicts: libssl-dev
-Homepage: http://www.ircd-ratbox.org/
+Vcs-Git: git://git.debian.org/collab-maint/ircd-ratbox.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/ircd-ratbox.git;a=summary
+Homepage: http://www.ratbox.org/
 
 Package: ircd-ratbox
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ircd
+Suggests: ntp | openntpd | time-daemon
 Description: advanced, stable and fast ircd
  ircd-ratbox is a full featured ircd.  It is the primary ircd used on EFNet,
  combining the stability of an ircd required for a large production network
