=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg(\.\d+)?// \
  http://www.ratbox.org/download.shtml .*ircd-ratbox-(.*).tar.bz2
