## ircd-ratbox 3.0.8.dfsg

=== debian/changelog ===
ircd-ratbox (3.0.8.dfsg-1) unstable; urgency=low

  * New upstream release:
    - removed patch CVE-2012-6084 which was backported from this
      version.
    - refreshed 'gcc_format-security_fix' patch.
  * Added 'gcc_format-security_fix' patch to cope with crypt()'s new
    behavior in recent libc (see #714219).
  * Reworked init script (exit codes, messages, leftover pidfile, status
    and conftest subcommands, cleanup).
  * Remove config and logs if purged.
  * Bumped Standards-Version to 3.8.5 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sun, 26 Jan 2014 12:03:52 +0100
