=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Standards-Version: 3.9.3.0
+Standards-Version: 3.9.5
 Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper (>= 9), dh-autoreconf,
  zlib1g-dev, bison, flex, libgnutls-dev, libsqlite3-dev, libltdl-dev,
  autotools-dev, pkg-config, xsltproc, docbook5-xml, docbook-xsl-ns
@@ -14,7 +14,7 @@
 Package: ircd-ratbox
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
 Provides: ircd
 Suggests: ntp | openntpd | time-daemon
 Description: advanced, stable and fast ircd
