=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-export-dynamic -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


CONFIGURE_EXTRA_FLAGS := --enable-ipv6 --enable-services \
	--prefix=/usr \
	--with-confdir=/etc/ircd-ratbox \
	--with-logdir=/var/log/ircd-ratbox \
	--with-helpdir=/usr/share/ircd-ratbox/help  \
	--with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/ircd-ratbox \
	--disable-ltdl-install \
	--with-sqlite3=/usr --with-sqlite3-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

MANPAGES := debian/ircd-ratbox.8 debian/bantool-ratbox.8


%:
	dh $@ --with autoreconf --with autotools_dev

%.8: %.xml
	xsltproc --nonet -o $@ /usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl $<

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_build: $(MANPAGES)
	dh_auto_build
	make contrib

override_dh_auto_test:
	# no checks

override_dh_auto_install: $(MANPAGES)
	mkdir -p debian/tmp/etc/ircd-ratbox	# broken upstream buildsys
	dh_auto_install
	#
	dh_installman -pircd-ratbox $(MANPAGES)
	#
	# rename binaries
	for i in debian/tmp/usr/bin/* ; do mv "$$i" "$$i"-ratbox ; done
	mv debian/tmp/usr/bin/ratbox-mkpasswd-ratbox debian/tmp/usr/bin/mkpasswd-ratbox
	#
	make install_contrib DESTDIR=$(CURDIR)/debian/tmp

override_dh_fixperms:
	dh_fixperms
	chown irc:irc debian/ircd-ratbox/var/log/ircd-ratbox
	chown -R irc:irc debian/ircd-ratbox/etc/ircd-ratbox

override_dh_shlibdeps:
	dh_shlibdeps -Xusr/lib/$(DEB_HOST_MULTIARCH)/ircd-ratbox

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_strip:
	dh_strip --dbg-package=ircd-ratbox-dbg

override_dh_auto_clean:
	# must be done before global distclean or global makefile will lack
	[ ! -f contrib/Makefile ] || make distclean_contrib
	#
	dh_auto_clean
	#
	rm -f $(MANPAGES)
